View Issue Details

IDProjectCategoryView StatusLast Update
0006676Talerexchangepublic2021-09-02 18:14
ReporterFlorian Dold Assigned ToChristian Grothoff  
PrioritynormalSeveritytextReproducibilityhave not tried
Status closedResolutionfixed 
Target Version0.8Fixed in Version0.8 
Summary0006676: exchange's crypto client sockets have odd name
DescriptionIt looks like the XXXXXX should be some mktemp pattern, but they are just used as a literal in the file name.

taler-internal@gv:~/taler-runtime/crypto-eddsa-client$ ls
XXXXXX9b2cQn XXXXXXacSqFk XXXXXXEc9Ofm XXXXXXIBe9Fk XXXXXXozgRil XXXXXXWlVpjm XXXXXXYBBzkl
TagsNo tags attached.

Activities

Christian Grothoff

2021-01-06 15:42

manager   ~0017309

Looks like we create twelve "X", and mktemp is defined to only take 6. Likely a case of uselessly putting the XXXXXX twice.

Christian Grothoff

2021-01-06 15:44

manager   ~0017310

And so it was. Fixed in 5d238a6e..1f912112

Christian Grothoff

2021-09-02 18:14

manager   ~0018240

Fix committed to master branch.

Related Changesets

exchange: master a7d43dd6

2021-01-06 15:43:16

Christian Grothoff

Details Diff
fix 0006676 Affected Issues
0006676
mod - src/util/crypto_helper_denom.c Diff File
mod - src/util/crypto_helper_esign.c Diff File

Issue History

Date Modified Username Field Change
2021-01-06 14:24 Florian Dold New Issue
2021-01-06 14:24 Florian Dold Status new => assigned
2021-01-06 14:24 Florian Dold Assigned To => Christian Grothoff
2021-01-06 15:42 Christian Grothoff Note Added: 0017309
2021-01-06 15:44 Christian Grothoff Note Added: 0017310
2021-01-06 15:44 Christian Grothoff Status assigned => resolved
2021-01-06 15:44 Christian Grothoff Resolution open => fixed
2021-01-06 15:44 Christian Grothoff Fixed in Version => 0.9
2021-07-30 13:57 Christian Grothoff Fixed in Version 0.9 => 0.8.1
2021-07-30 13:59 Christian Grothoff Target Version => 0.8.1
2021-07-30 14:01 Christian Grothoff Fixed in Version 0.8.1 => 0.8
2021-07-30 14:01 Christian Grothoff Target Version 0.8.1 => 0.8
2021-08-24 16:23 Christian Grothoff Status resolved => closed
2021-09-02 18:13 Christian Grothoff Changeset attached => Taler-exchange master a7d43dd6
2021-09-02 18:14 Christian Grothoff Note Added: 0018240